A moonshine plugin for installing and managing couchdb
Ruby
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
doc @ bc83040
lib/moonshine
moonshine
spec
.gitmodules
LICENSE
README.markdown
Rakefile

README.markdown

Moonshine::Couchdb

Introduction

Welcome to Moonshine::Couchdb, a Moonshine plugin for installing and managing couchdb

Here's some quick links:

Quick Start

Moonshine::Couchdb is installed like any other Rails plugin:

# Rails 2.x.x
script/plugin install git://github.com/railsmachine/moonshine_couchdb.git
# Rails 3.x.x
script/rails plugin install git://github.com/railsmachine/moonshine_couchdb.git

Once it's installed, you can include it in your manifest:

# app/manifests/application_manifest.rb
class ApplicationManifest < Moonshine::Manifest:Rails
   recipe :couchdb
end

Commit and deploy, and there you go.

Configuration

Here are the current options availble:

  • :version: a string representing the version to install, defaults to 1.1

These are namespaced under :couchdb. They can be configured a few ways:

# in global config/moonshine.yml
:couchdb:
  :version: 1.1

# in stage-specific moonshine.yml,
# config/moonshine/staging.yml and config/moonshine/production.yml
:couchdb:
  :version: 1.1

# `configure` call in app/manifests/application_manifest.rb
configure :couchdb => { :version => '1.1' }

Literate Documentation

Moonshine::Couchdb uses a literate programming style of documentation, generated by rocco . You can view the latest version here.

In Use

Originally commissioned by our friends at PeepCode Screencasts for use in an internal reporting system hosted at Rails Machine.


Unless otherwise specified, all content copyright © 2014, Rails Machine, LLC